Get services.

Retrieve all non-disconnected services based on enabled accounts where locations are reflected as components.

Request
Request Body schema: application/json

Optional body to apply filters to return a list of non-disconnected services. Filter options include - serviceName, serviceId, billingAccountNumber, status, productGroup, productCategory, product, circuitId, legacyCircuitId, customerCircuitId, bandwidth, term, totalMrc, and customerPo. Pagination with top and skip options.

object

Object to define filter options.

object

Object to define pagination. Default = 10 records per page.

Responses
200

Success

post/services/service-management/v1/existing-services
Request samples
application/json
{
  • "filter": {
    • "ServiceName": null,
    • "serviceId": null,
    • "billingAccountNumber": null,
    • "status": "Active",
    • "productGroup": "IP Services",
    • "productCategory": null,
    • "product": null,
    • "circuitId": null,
    • "legacyCircuitId": null,
    • "customerCircuitId": null,
    • "bandwidth": "5G",
    • "term": 12,
    • "totalMrc": null,
    • "customerPo": null
    },
  • "paging": {
    • "top": 50,
    • "skip": "string"
    }
}
Response samples
application/json
"TBD on JSON payload of jobId response. "